### Method

# ECal ComponentBag get_span

since: 3.58

#### Declaration [src]

    const GPtrArray*
    e_cal_component_bag_get_span (
      ECalComponentBag* self,
      guint index
    )

#### Description [src]

Peeks a current span content. The `index` should be between 0 and one less than e_cal_component_bag_get_n_spans().

Unlike the e_cal_component_bag_list(), the returned array is owned by the `self` and is valid until the next content change (addition, removal, clear) of the `self` is done.

If thread safety is required, use `e_cal_component_bag_dup_span()` instead.

Available since: 3.58

#### Parameters

`index`

  Type: `guint`

  Span index, counting from 0.

#### Return value

Type: An array of `ECalComponentBagItem*`

an array of `ECalComponentBag` in the `index` span, or `NULL` when the `index` is out of bounds.

The returned data is owned by the instance.
The return value can be `NULL`.